## python-pomegranate 0.12.0+dfsg

=== requirements.txt ===
numpy >= 1.8.0
joblib >= 0.9.0b4
networkx >= 2.0
scipy >= 0.17.0
pyyaml

## python-pomegranate 0.12.0%2Bdfsg

=== debian/control ===
Source: python-pomegranate
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: science
Priority: optional
Testsuite: autopkgtest-pkg-python
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-all-dev,
               python3-setuptools,
               cython3 (>= 0.22.1),
               python3-numpy,
               python3-scipy (>= 0.17.0),
               python3-nose <!nocheck>,
               python3-joblib (>= 0.9.0b4) <!nocheck>,
               python3-networkx (>= 2.0) <!nocheck>,
               python3-yaml <!nocheck>,
               python3-pandas <!nocheck>
# for documentation - packaged raw for now
# sphinx >= 1.6.0
# sphinx-rtd-theme >= 0.2.0, < 0.3.0
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pomegranate
Vcs-Git: https://salsa.debian.org/python-team/modules/python-pomegranate.git
Homepage: https://github.com/jmschrei/pomegranate

Package: python3-pomegranate
Architecture: any
Section: python
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-numpy,
         python3-scipy (>= 0.17.0),
         python3-joblib (>= 0.9.0b4),
         python3-networkx (>= 2.0),
         python3-yaml
Suggests: python-pomegranate-doc
Description: Fast, flexible and easy to use probabilistic modelling
 pomegranate is a package for probabilistic models in Python that is
 implemented in cython for speed. It's focus is on merging the easy-to-use
 scikit-learn API with the modularity that comes with probabilistic
 modeling to allow users to specify complicated models without needing to
 worry about implementation details. The models are built from the ground
 up with big data processing in mind and so natively support features
 like out-of-core learning and parallelism.

Package: python-pomegranate-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Description: documentation accompanying probabilistic modelling library
 pomegranate is a package for probabilistic models in Python that is
 implemented in cython for speed. It's focus is on merging the easy-to-use
 scikit-learn API with the modularity that comes with probabilistic
 modeling to allow users to specify complicated models without needing to
 worry about implementation details. The models are built from the ground
 up with big data processing in mind and so natively support features
 like out-of-core learning and parallelism.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

export PYBUILD_NAME=pomegranate

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	# cleaning up auto-generated files
	find . -name "*.c" -delete

override_dh_auto_clean:
	dh_auto_clean
	# cleaning up auto-generated files
	find . -name "*.c" -delete

# If you need to rebuild the Sphinx documentation
# Add spinxdoc to the dh --with line
#override_dh_auto_build:
#	dh_auto_build
#	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml        docs/ build/html # HTML generator
#	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman        docs/ build/man # Manpage generator

## python-pomegranate 0.12.0+dfsg

=== debian/changelog ===
python-pomegranate (0.12.0+dfsg-2build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:23:00 +0100

python-pomegranate (0.12.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add a patch to fix i386 test rounding error

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 02 Jan 2020 14:42:51 +0100

python-pomegranate (0.12.0+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Properly renamed version due to removal of autogenerated files (+dfsg suffix)

  [ Michael R. Crusoe ]
  * Switch to downloading from GitHub
  * Add Testsuite: autopkgtest-pkg-python
  * Mark the -doc package as Multi-Arch: foreign
  * Added build-dep on python3-pandas for the tests

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 02 Jan 2020 08:57:53 +0100

python-pomegranate (0.11.1-1) unstable; urgency=medium

  * Initial release (Closes: #935989)

 -- Steffen Moeller <moeller@debian.org>  Wed, 28 Aug 2019 19:39:46 +0200

=== debian/tests/control ===
Tests: run-tests
Depends: @, python3-nose, python3-joblib, python3-networkx, python3-yaml, python3-pandas
Restrictions: allow-stderr

=== debian/watch ===
version=4

# PyPI
#opts="repack,compression=xz,uversionmangle=s/$/+dfsg/,oversionmangle=s/7.3/0.7.3/,dversionmangle=s/\+dfsg//,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pomegranate-$1.tar.gz%" \
#https://pypi.debian.net/pomegranate/pomegranate-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

opts="repack,compression=xz,uversionmangle=s/7.3/0.7.3/,dversionmangle=s/\+dfsg//,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pomegranate-$1.tar.gz%" \
https://github.com/jmschrei/pomegranate/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## python-pomegranate 0.12.2

=== debian/changelog ===
python-pomegranate (0.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Remove relax_fp_test patch, it was applied upstream
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Wrap long lines in changelog entries: 0.12.0+dfsg-1.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * autopkgtests: use AUTOPKGTEST_TMP
  * Fix some typos in upstream's sources

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 04 Apr 2020 11:26:13 +0200

=== debian/control ===
--- 
+++ 
@@ -20,10 +20,11 @@
 # for documentation - packaged raw for now
 # sphinx >= 1.6.0
 # sphinx-rtd-theme >= 0.2.0, < 0.3.0
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pomegranate
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-pomegranate.git
 Homepage: https://github.com/jmschrei/pomegranate
+Rules-Requires-Root: no
 
 Package: python3-pomegranate
 Architecture: any

## python-pomegranate 0.13.5

=== Makefile ===
PACKAGE_NAME=pomegranate
PY2_ENV=py2.7
PY3_ENV=py3.6

default:
	echo no default

.PHONY: install test bigclean nbtest nbclean
.PHONY: bigbuild py2build py3build
.PHONY: biginstall py2install py3install
.PHONY: biguninstall py2uninstall py3uninstall
.PHONY: bigtest py2test py3test
.PHONY: bignbtest py2nbtest py3nbtest

install:
	python setup.py install

test:
	python setup.py test

bigclean: nbclean
	rm -rf build
	rm -rf dist
	rm -rf .eggs
	rm -rf $(PACKAGE_NAME).egg-info
	find . -name '*.pyc' -print | xargs rm
	find . -name '*.so' -print | xargs rm
ifndef NO_REMOVE_CFILES
	find . -name '*.c' -print | xargs rm
endif

# Add python dependencies
ifdef PY2_ENV
bigbuild: py2build
biginstall: py2install
biguninstall: py2uninstall
bigtest: py2test
bignbtest: py2test
endif

ifdef PY3_ENV
bigbuild: py3build
biginstall: py3install
biguninstall: py3uninstall
bigtest: py3test
# Don't know how to override the kernelspec and the notebooks are python2 only anyway
# bignbtest: py3test
endif


py2build:
	(source activate $(PY2_ENV) ; python setup.py build ; python setup.py build_ext --inplace )
py3build:
	(source activate $(PY3_ENV) ; python setup.py build ; python setup.py build_ext --inplace )

py2install:
	(source activate $(PY2_ENV) ; python setup.py install )
py3install:
	(source activate $(PY3_ENV) ; python setup.py install )

py3uninstall:
	rm -rf ~/miniconda2/envs/$(PY3_ENV)/lib/python3.6/site-packages/$(PACKAGE_NAME)*
py2uninstall:
	rm -rf ~/miniconda2/envs/$(PY2_ENV)/lib/python2.7/site-packages/$(PACKAGE_NAME)*

py3test:
	(source activate $(PY3_ENV) ; python setup.py test )
py2test:
	(source activate $(PY2_ENV) ; python setup.py test )

## Notebook tests
PYTHON_NOTEBOOKS= examples/*.ipynb tutorials/*.ipynb benchmarks/*.ipynb
EXECUTE_TIMEOUT=600
ALLOW_ERRORS=
# Allow errors if you want to check as many cells as possible
#ALLOW_ERRORS=--allow-errors
# Required conda package installs:
# CONDA_INSTALL_BASE_PACKAGES=cython scipy scikit-learn pandas joblib nose networkx=1.11
# CONDA_INSTALL_NOTEBOOK_PACKAGES=jupyter jupyter_contrib_nbextensions jupyter_nbextensions_configurator seaborn xlrd pygraphviz pillow
nbtest:
	for nb in $(PYTHON_NOTEBOOKS) ; do time jupyter nbconvert $$nb --execute --ExecutePreprocessor.timeout=$(EXECUTE_TIMEOUT) --to html $(ALLOW_ERRORS) ; done
py2nbtest:
	(source activate $(PY2_ENV) ; for nb in $(PYTHON_NOTEBOOKS) ; do time jupyter nbconvert $$nb --execute --ExecutePreprocessor.timeout=$(EXECUTE_TIMEOUT) --to html $(ALLOW_ERRORS) ; done )
py3nbtest:
	(source activate $(PY3_ENV) ; for nb in $(PYTHON_NOTEBOOKS) ; do time jupyter nbconvert $$nb --execute --ExecutePreprocessor.timeout=$(EXECUTE_TIMEOUT) --to html $(ALLOW_ERRORS) ; done )
nbclean:
	for nb in $(PYTHON_NOTEBOOKS) ; do rm -f $${nb%%.ipynb}.html ; done

=== requirements.txt ===
--- 
+++ 
@@ -3,3 +3,4 @@
 networkx >= 2.0
 scipy >= 0.17.0
 pyyaml
+cython >= 0.29.14

=== debian/changelog ===
python-pomegranate (0.13.5-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:12:21 +0000

python-pomegranate (0.13.5-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on cython3, python3-joblib,
      python3-networkx and python3-scipy.
    + python3-pomegranate: Drop versioned constraint on python3-joblib,
      python3-networkx and python3-scipy in Depends.

  [ Michael R. Crusoe ]
  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 07 Nov 2021 17:52:25 +0100

python-pomegranate (0.13.5-1) unstable; urgency=medium

  * New upstream version
  * mark the -docs packages as Multi-Arch: foreign; thanks Multiarch hinter!
  * Standards-Version: 4.5.1 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 03 Jan 2021 14:56:39 +0100

python-pomegranate (0.13.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP.
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.

  [ Michael R. Crusoe ]
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * pandas now required for testing

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 10 Oct 2020 18:39:16 +0200

python-pomegranate (0.11.1+dfsg2-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Properly renamed version due to removal of autogenerated files
    (+dfsg suffix)

  [ Michael R. Crusoe ]
  * Switch to downloading from GitHub
  * Add Testsuite: autopkgtest-pkg-python

 -- Andreas Tille <tille@debian.org>  Mon, 16 Sep 2019 09:21:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,28 @@
 Source: python-pomegranate
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Steffen Moeller <moeller@debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Steffen Moeller <moeller@debian.org>, Michael R. Crusoe <crusoe@debian.org>
 Section: science
 Priority: optional
 Testsuite: autopkgtest-pkg-python
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-all-dev,
                python3-setuptools,
-               cython3 (>= 0.22.1),
+               cython3,
                python3-numpy,
-               python3-scipy (>= 0.17.0),
+               python3-scipy,
                python3-nose <!nocheck>,
-               python3-joblib (>= 0.9.0b4) <!nocheck>,
-               python3-networkx (>= 2.0) <!nocheck>,
+               python3-joblib <!nocheck>,
+               python3-networkx <!nocheck>,
                python3-yaml <!nocheck>,
                python3-pandas <!nocheck>
 # for documentation - packaged raw for now
 # sphinx >= 1.6.0
 # sphinx-rtd-theme >= 0.2.0, < 0.3.0
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pomegranate
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-pomegranate.git
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pomegranate
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-pomegranate.git
 Homepage: https://github.com/jmschrei/pomegranate
 Rules-Requires-Root: no
 
@@ -33,9 +33,9 @@
          ${shlibs:Depends},
          ${misc:Depends},
          python3-numpy,
-         python3-scipy (>= 0.17.0),
-         python3-joblib (>= 0.9.0b4),
-         python3-networkx (>= 2.0),
+         python3-scipy,
+         python3-joblib,
+         python3-networkx,
          python3-yaml
 Suggests: python-pomegranate-doc
 Description: Fast, flexible and easy to use probabilistic modelling
@@ -49,8 +49,8 @@
 
 Package: python-pomegranate-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
-Multi-Arch: foreign
 Depends: ${sphinxdoc:Depends},
          ${misc:Depends}
 Description: documentation accompanying probabilistic modelling library

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 export DH_VERBOSE = 1
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 export PYBUILD_NAME=pomegranate

=== debian/watch ===
version=4

# PyPI
#opts="repack,compression=xz,uversionmangle=s/$/+dfsg/,oversionmangle=s/7.3/0.7.3/,dversionmangle=s/\+dfsg//,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pomegranate-$1.tar.gz%" \
#https://pypi.debian.net/pomegranate/pomegranate-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

opts="compression=xz,uversionmangle=s/7.3/0.7.3/,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pomegranate-$1.tar.gz%" \
https://github.com/jmschrei/pomegranate/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## python-pomegranate 0.14.8

=== requirements.txt ===
numpy >= 1.20.0
joblib >= 0.9.0b4
networkx >= 2.4
scipy >= 0.17.0
pyyaml
cython >= 0.29.14

=== binder/requirements.txt ===
pomegranate
watermark
matplotlib
seaborn

=== debian/changelog ===
python-pomegranate (0.14.8-3) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Make sure watch file reports latest version
  * Standards-Version: 4.6.2 (routine-update)

  [ Nilesh Patra ]
  * Add patch to make package compatible with np 1.24 (Closes: #1027235)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 21 Jan 2023 23:29:28 +0530

python-pomegranate (0.14.8-2) unstable; urgency=medium

  * debian/patches/nose2pytest: Convert to pytest.
    Closes: #1024045, #1018555, #1001659

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 16 Nov 2022 09:54:20 +0100

python-pomegranate (0.14.8-1) unstable; urgency=medium

  * New upstream release. Closes: #1013483. Upstream did not tag, so I
    used
    https://github.com/jmschrei/pomegranate/archive/0652e955c400bc56df5661db3298a06854c7cce8.tar.gz
  * debian/test/{run-tests, control}: query the supported versions of Python
  * Standards-Version: 4.6.1 (routine-update)
  * debian/test/control: pandas was missing from the deps list

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 11 Aug 2022 13:57:19 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                cython3,
                python3-numpy,
                python3-scipy,
-               python3-nose <!nocheck>,
+               python3-pytest <!nocheck>,
                python3-joblib <!nocheck>,
                python3-networkx <!nocheck>,
                python3-yaml <!nocheck>,
@@ -20,7 +20,7 @@
 # for documentation - packaged raw for now
 # sphinx >= 1.6.0
 # sphinx-rtd-theme >= 0.2.0, < 0.3.0
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pomegranate
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pomegranate.git
 Homepage: https://github.com/jmschrei/pomegranate

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 export PYBUILD_NAME=pomegranate
+export PYBUILD_PYTEST=true
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: run-tests
Depends: @, python3-pytest, python3-joblib, python3-networkx, python3-yaml, python3-all, python3-pandas
Restrictions: allow-stderr

=== debian/watch ===
version=4

# PyPI
opts="oversionmangle=s/7.3/0.7.3/,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pomegranate-$1.tar.gz%" \
https://pypi.debian.net/pomegranate/pomegranate-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

# Upstream does not actively maintain tags
#opts="compression=xz,uversionmangle=s/7.3/0.7.3/,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pomegranate-$1.tar.gz%" \
#https://github.com/jmschrei/pomegranate/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## python-pomegranate 0.15.0

=== requirements.txt ===
numpy >= 1.20.0, < 2.0.0
joblib >= 0.9.0b4
networkx >= 2.4
scipy >= 0.17.0
pyyaml
cython >= 0.29.14

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pomegranate.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pomegranate.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pomegranate"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pomegranate"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-pomegranate (0.15.0-2) unstable; urgency=medium

  * Team upload.
  * d/control: Drop <!nocheck> from several BD. Closes: #1116870.
  * d/control: Add BD on python3-numpy-dev (fixes lintian error).
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Sun, 12 Oct 2025 13:48:00 +0200

python-pomegranate (0.15.0-1) unstable; urgency=medium

  * d/watch: discover version 0.15.0
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Refreshed the patches
  * Bump minimum numpy version to 2.x; added patch to support that.
    Deleted old numpy patches. Closes: #1094703
  * d/control: switch to autopkgtest-pkg-pybuild
  * Added patch to remove remote badge images from the docs, to preserve
    user privacy.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 06 Feb 2025 14:32:39 +0100

python-pomegranate (0.14.8-7) unstable; urgency=medium

  * Team upload.
  * Upgrade to Cython 3.x.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 15 Nov 2024 13:14:17 +0100

python-pomegranate (0.14.8-6) unstable; urgency=medium

  * Build the docs.
  * d/rules: remove redundant cleanup
  * d/control: support cross-building

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 12 Apr 2024 16:15:30 +0300

python-pomegranate (0.14.8-5) unstable; urgency=medium

  * Add patch from Graham Inggs to fix compat with NumPy 1.26+, thank
    you Graham! Closes: #1067233, #1067294

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 12 Apr 2024 12:50:07 +0300

python-pomegranate (0.14.8-4) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Restrict upstream version to 0.14.8 series since this package has the
    only purpose to work with cnvkit which requires this version based on
    Cython and not on PyTorch
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * d/rules: call dh_numpy3
  * Verify test works properly
    Closes: #1056492

  [ Bas Couwenberg ]
  * Switch to cython3-legacy
    Closes: #1056867

 -- Andreas Tille <tille@debian.org>  Fri, 15 Dec 2023 12:06:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,33 @@
 Source: python-pomegranate
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Steffen Moeller <moeller@debian.org>, Michael R. Crusoe <crusoe@debian.org>
+Uploaders: Steffen Moeller <moeller@debian.org>,
+           Michael R. Crusoe <crusoe@debian.org>
 Section: science
+Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
-Testsuite: autopkgtest-pkg-python
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
-               python3-all-dev,
+               python3-all-dev:native,
+               libpython3-all-dev,
                python3-setuptools,
                cython3,
-               python3-numpy,
+               python3-numpy (>= 1:2),
+               python3-numpy-dev,
                python3-scipy,
                python3-pytest <!nocheck>,
-               python3-joblib <!nocheck>,
-               python3-networkx <!nocheck>,
-               python3-yaml <!nocheck>,
+               python3-joblib,
+               python3-networkx,
+               python3-yaml,
                python3-pandas <!nocheck>
-# for documentation - packaged raw for now
-# sphinx >= 1.6.0
-# sphinx-rtd-theme >= 0.2.0, < 0.3.0
-Standards-Version: 4.6.2
+Build-Depends-Indep: dh-sequence-sphinxdoc <!nodoc>,
+                     sphinx <!nodoc>,
+                     python3-sphinx-rtd-theme <!nodoc>,
+                     python3-numpydoc <!nodoc>
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pomegranate
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pomegranate.git
 Homepage: https://github.com/jmschrei/pomegranate
-Rules-Requires-Root: no
 
 Package: python3-pomegranate
 Architecture: any
@@ -32,7 +35,7 @@
 Depends: ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
-         python3-numpy,
+         python3-numpy (>= 1:2),
          python3-scipy,
          python3-joblib,
          python3-networkx,

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export PYBUILD_NAME=pomegranate
export PYBUILD_PYTEST=true
export DEFAULT_PYVER=$(shell py3versions -v -d)

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build-indep:
	PYTHONPATH=$(shell pybuild --print build_dir --pyver $$DEFAULT_PYVER | awk '{print $$3}') http_proxy='127.0.0.1:9' sphinx-build -N -bhtml        docs/ build/html # HTML generator

execute_after_dh_auto_clean:
	# cleaning up auto-generated files
	find . -name "*.c" -delete

execute_after_dh_python3:
	dh_numpy3

=== debian/watch ===
version=4

# Hard code to the last pre-v1.0 release , see debian/README.source for
# an explanation

opts="oversionmangle=s/7.3/0.7.3/,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pomegranate-$1.tar.gz%" \
https://github.com/jmschrei/pomegranate/tags .*/v(0\.15\.0).tar.gz
